Subject: [regext] WGLC: draft-ietf-regext-org-ext-02

From: "James Galvin" <[email-masked]>
Date: Fri, 13 Apr 2018 09:21:43 -0400

The document editors have indicated that the following document is ready 
for submission to the IESG to be considered for publication as a 
Proposed Standard:

Organization Extension for the Extensible Provisioning Protocol (EPP)
https://datatracker.ietf.org/doc/draft-ietf-regext-org-ext/

Please indicate your support for the publication of this document.

If any working group member objects to the publication of this document 
please respond on the list by close of business everywhere, Friday, 27 
April 2018.  If there are no objections the document will be submitted 
to the IESG.

During the last call the chairs are looking for a document shepherd for 
this document.  If you are interested in being the document shepherd 
please let the chairs know.  The document editors cannot be the document 
shepherd.

If you’ve never been a document shepherd before don’t worry.  It’s 
a great way to understand the IETF process and your chairs would be 
delighted to help you through it.

Thanks,

Antoin and Jim
WG Co-Chairs

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Fri, 13 Apr 2018 14:41:47 +0000

> -----Original Message-----
> From: regext [mailto:[email-masked]] On Behalf Of James Galvin
> Sent: Friday, April 13, 2018 9:22 AM
> To: Registration Protocols Extensions <[email-masked]>
> Subject: [EXTERNAL] [regext] WGLC: draft-ietf-regext-org-ext-02
>
> for submission to the IESG to be considered for publication as a Proposed
> Standard:
>

I support publication of this document.

In Section 7.1, text needs to be added to include registration of the schema from Section 5. Section 6 of RFC 5731 can be used as an example of the instructions for registering both the XML namespace and the XML schema. Note that there is no XML included with registration of the namespace.

In Section 7.2, the IESG should be named as the registrant for a standards track extension.

Scott

---

From: "James Galvin" <[email-masked]>
Date: Fri, 20 Apr 2018 09:35:49 -0400

This is a reminder that this document is in working group last call.

Thanks,

Jim

On 13 Apr 2018, at 9:21, James Galvin wrote:

> The document editors have indicated that the following document is 
> ready for submission to the IESG to be considered for publication as a 
> Proposed Standard:
>
> If any working group member objects to the publication of this 
> document please respond on the list by close of business everywhere, 
> Friday, 27 April 2018.  If there are no objections the document will 
> be submitted to the IESG.
>
> During the last call the chairs are looking for a document shepherd 
> for this document.  If you are interested in being the document 
> shepherd please let the chairs know.  The document editors cannot be 
> the document shepherd.
>
> If you’ve never been a document shepherd before don’t worry.  
> It’s a great way to understand the IETF process and your chairs 
> would be delighted to help you through it.
>
> Thanks,
>
> Antoin and Jim
> WG Co-Chairs

---

From: "Gould, James" <[email-masked]>
Date: Fri, 20 Apr 2018 21:54:26 +0000

I'm am a co-author on this draft, but I did a re-read and I have the following items that need to be addressed:

  1.  In section 4.1.2 “EPP <info> Command”
     *   I recommend changing “based on its server policy” to “based on server policy”.
     *   I recommend changing the sentence ‘An attribute “role” associated with <orgext:id> is used…’ to ‘The “role” attribute is used to represent the relationship that the organization has to the object’.
     *   Change “One or more <orgext:id> elements…” to “Zero or more <orgext:id> element…”, since the XML schema supports zero organizations and there is an example without zero organizations.
     *   The info command example can be removed since it is not applicable.
  2.  In section 4.2.1 “EPP <create> Command”
     *   The <orgext:create> element supports a list of <orgext:id> elements and not just one.  My recommendation is to modify the description of the <orgext:id> element to be:

                                                               i.      “One or more <orgext:id> elements that contain the identifier of the organization.”

     *   I recommend changing the sentence ‘An attribute “role” associated with <orgext:id> is used…’ to ‘The “role” attribute is used to represent the relationship that the organization has to the object’.
     *   I recommend removing the roid attribute from the <domain:pw> element of the <create> examples.
  1.  In section 4.2.5 “EPP <update> Command”
     *   Modify “…modify the attributes of a domain object” to “…modify the attribute of an object”, “In addition to the EPP command elements described in the EPP domain object,...” to “In addition to the EPP <update> command elements, …”, and “wants to update the domain object” to “wants to update the object” to be object agnostic.
     *   Modify “The <orgext:add>, <orgext:rem>, and <orgext:rem> elements…” to ““The <orgext:add>, <orgext:rem>, and <orgext:chg> elements…”.
     *   The <orgext:add>, <orgext:rem>, and <orgext:chg> elements support a list of <orgext:id> elements and not just one.  My recommendation is to modify the description of the <orgext:id> element to be:

                                                               i.      “One or more <orgext:id> elements that contain the identifier of the organization.”

     *   Shouldn’t the “addRemChgType” in the XML schema remove the minOccurs=”0”, since I believe that if the <orgext:add>, <orgext:rem>, or <orgext:chg> element is provided that it should contain at least one organization?
     *   I recommend changing the sentence ‘An attribute “role” associated with <orgext:id> is used…’ to ‘The “role” attribute is used to represent the relationship that the organization has to the object’.
     *   I would remove the “domain with no organization” example since it looks like a duplicate of the “adding multiple organizations” example, and I don’t believe it is applicable.

—

JG

James Gould

Distinguished Engineer

[email-masked]

703-948-3271

12061 Bluemont Way

Reston, VA 20190

Verisign.com <http://verisigninc.com/>

On 4/20/18, 9:36 AM, "regext on behalf of James Galvin" <[email-masked] on behalf of [email-masked]> wrote:

    to the IESG.

    shepherd.

    Thanks,

    Jim

    > WG Co-Chairs

    _______________________________________________

    regext mailing list

    [email-masked]

    https://www.ietf.org/mailman/listinfo/regext

---

From: "Linlin Zhou" <[email-masked]>
Date: Mon, 23 Apr 2018 14:13:44 +0800 (GMT+08:00)

Dear James,

Thanks for your comments and suggestions. I will update the words and submit the new drafts before the end of WGLC.

Regards,

Linlin

-----原始邮件-----
发件人:"Gould, James" <[email-masked]>
发送时间:2018-04-21 05:54:26 (星期六)
收件人: "James Galvin" <[email-masked]>, "Registration Protocols Extensions" <[email-masked]>
抄送:
主题: Re: [regext] WGLC: draft-ietf-regext-org-ext-02

In section 4.1.2 “EPP <info> Command”
I recommend changing “based on its server policy” to “based on server policy”. 
I recommend changing the sentence ‘An attribute “role” associated with <orgext:id> is used…’ to ‘The “role” attribute is used to represent the relationship that the organization has to the object’.
Change “One or more <orgext:id> elements…” to “Zero or more <orgext:id> element…”, since the XML schema supports zero organizations and there is an example without zero organizations.
The info command example can be removed since it is not applicable.
In section 4.2.1 “EPP <create> Command”
The <orgext:create> element supports a list of <orgext:id> elements and not just one.  My recommendation is to modify the description of the <orgext:id> element to be:

I recommend changing the sentence ‘An attribute “role” associated with <orgext:id> is used…’ to ‘The “role” attribute is used to represent the relationship that the organization has to the object’.
I recommend removing the roid attribute from the <domain:pw> element of the <create> examples.  
In section 4.2.5 “EPP <update> Command”
Modify “…modify the attributes of a domain object” to “…modify the attribute of an object”, “In addition to the EPP command elements described in the EPP domain object,...” to “In addition to the EPP <update> command elements, …”, and “wants to update the domain object” to “wants to update the object” to be object agnostic. 
Modify “The <orgext:add>, <orgext:rem>, and <orgext:rem> elements…” to ““The <orgext:add>, <orgext:rem>, and <orgext:chg> elements…”.
The <orgext:add>, <orgext:rem>, and <orgext:chg> elements support a list of <orgext:id> elements and not just one.  My recommendation is to modify the description of the <orgext:id> element to be:

Shouldn’t the “addRemChgType” in the XML schema remove the minOccurs=”0”, since I believe that if the <orgext:add>, <orgext:rem>, or <orgext:chg> element is provided that it should contain at least one organization?
I recommend changing the sentence ‘An attribute “role” associated with <orgext:id> is used…’ to ‘The “role” attribute is used to represent the relationship that the organization has to the object’.
I would remove the “domain with no organization” example since it looks like a duplicate of the “adding multiple organizations” example, and I don’t believe it is applicable.

—

JG

James Gould

Distinguished Engineer

[email-masked]

703-948-3271

12061 Bluemont Way

Reston, VA 20190

    to the IESG.

    shepherd.

    Thanks,

    Jim

    regext mailing list

    [email-masked]

---

From: "Linlin Zhou" <[email-masked]>
Date: Tue, 24 Apr 2018 09:55:00 +0800

Hi James,
I am updating the draft and I found that the example of "domain with no organization" is following,
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<epp xmlns="urn:ietf:params:xml:ns:epp-1.0">
  <command>
    <update>
      <domain:update
        xmlns:domain="urn:ietf:params:xml:ns:domain-1.0">
        <domain:name>example.com</domain:name>
      </domain:update>
    </update>
    <extension>
      <orgext:update
        xmlns:orgext="urn:ietf:params:xml:ns:orgext-1.0">
        <orgext:add/>
      </orgext:update>
    </extension>
    <clTRID>ABC-12345</clTRID>
  </command>
</epp> 
 
I'll modify this example.

Regards,
Linlin

[email-masked]
 
From: Linlin Zhou
Date: 2018-04-23 14:13
To: Gould, James
CC: Registration Protocols Extensions; James Galvin
Subject: Re: [regext] WGLC: draft-ietf-regext-org-ext-02
Dear James,
Thanks for your comments and suggestions. I will update the words and submit the new drafts before the end of WGLC.
Regards,
Linlin

-----原始邮件-----

  
—
JG

James Gould
Distinguished Engineer
[email-masked]
 
703-948-3271
12061 Bluemont Way
Reston, VA 20190

    

    
    Thanks,
    
    Jim

---

From: "Gould, James" <[email-masked]>
Date: Fri, 27 Apr 2018 19:44:25 +0000

Hi,

In reviewing the draft-ietf-regext-org-ext changes in draft-ietf-regext-org-ext-03, I found the following issues:

  1.  In section 3. “Object Attributes”, I would revise the sentence “This extension adds additional elements to the EPP domain name mapping [RFC5731].” to “This extension adds additional elements to EPP object mappings like the EPP domain name mapping [RFC5731].”
  2.  In section 4.2.1. “EPP <create> Command”, I would revise “One or more <orgext:id> element that…” to “One or more <orgext:id> elements that…”.
  3.  In section 4.2.5. “EPP <update> Command”, I would remove the “Example <update> command, domain with no organization” example, since I don’t believe that the <orgext:add/> can be empty.
  4.  In section 5. “Formal Syntax”, minOccurs=”0” needs to be added to the “add”, “rem”, and “chg” elements of the “updateType”type, since they are optional.
  5.  I found the following error via idnits:

a.    ** Obsolete normative reference: RFC 6982 (Obsoleted by RFC 7942)

b.    ** Downref: Normative reference to an Informational RFC: RFC 7451
—

JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Verisign.com<http://verisigninc.com/>
From: James Gould <[email-masked]>
Date: Friday, April 20, 2018 at 5:54 PM
To: James Galvin <[email-masked]>, Registration Protocols Extensions <[email-masked]>
Subject: Re: [EXTERNAL] Re: [regext] WGLC: draft-ietf-regext-org-ext-02

1.       In section 4.1.2 “EPP <info> Command”
a.       I recommend changing “based on its server policy” to “based on server policy”.
b.       I recommend changing the sentence ‘An attribute “role” associated with <orgext:id> is used…’ to ‘The “role” attribute is used to represent the relationship that the organization has to the object’.
c.       Change “One or more <orgext:id> elements…” to “Zero or more <orgext:id> element…”, since the XML schema supports zero organizations and there is an example without zero organizations.
d.       The info command example can be removed since it is not applicable.
2.       In section 4.2.1 “EPP <create> Command”
a.       The <orgext:create> element supports a list of <orgext:id> elements and not just one.  My recommendation is to modify the description of the <orgext:id> element to be:

                                                                                       i.      “One or more <orgext:id> elements that contain the identifier of the organization.”
b.       I recommend changing the sentence ‘An attribute “role” associated with <orgext:id> is used…’ to ‘The “role” attribute is used to represent the relationship that the organization has to the object’.
c.       I recommend removing the roid attribute from the <domain:pw> element of the <create> examples.
3.       In section 4.2.5 “EPP <update> Command”
a.       Modify “…modify the attributes of a domain object” to “…modify the attribute of an object”, “In addition to the EPP command elements described in the EPP domain object,...” to “In addition to the EPP <update> command elements, …”, and “wants to update the domain object” to “wants to update the object” to be object agnostic.
b.       Modify “The <orgext:add>, <orgext:rem>, and <orgext:rem> elements…” to ““The <orgext:add>, <orgext:rem>, and <orgext:chg> elements…”.
c.       The <orgext:add>, <orgext:rem>, and <orgext:chg> elements support a list of <orgext:id> elements and not just one.  My recommendation is to modify the description of the <orgext:id> element to be:

                                                                                       i.      “One or more <orgext:id> elements that contain the identifier of the organization.”
d.       Shouldn’t the “addRemChgType” in the XML schema remove the minOccurs=”0”, since I believe that if the <orgext:add>, <orgext:rem>, or <orgext:chg> element is provided that it should contain at least one organization?
e.       I recommend changing the sentence ‘An attribute “role” associated with <orgext:id> is used…’ to ‘The “role” attribute is used to represent the relationship that the organization has to the object’.
f.        I would remove the “domain with no organization” example since it looks like a duplicate of the “adding multiple organizations” example, and I don’t believe it is applicable.

—

JG

James Gould

Distinguished Engineer

[email-masked]

703-948-3271

12061 Bluemont Way

Reston, VA 20190

    to the IESG.

    shepherd.

    Thanks,

    Jim

    regext mailing list

    [email-masked]